Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class X509Extensions

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.x509.X509Extensions

All Implemented Interfaces:
  ASN1Encodable, Encodable

Deprecated. use `Extension` and `Extensions`

public class X509Extensions
extends ASN1Object

Field Summary
`static ASN1ObjectIdentifier` | `AuditIdentity` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `AuthorityInfoAccess` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `AuthorityKeyIdentifier` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `BasicConstraints` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `BiometricInfo` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `CertificateIssuer` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `CertificatePolicies` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `CRLDistributionPoints` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `CRLNumber` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `DeltaCRLIndicator` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `ExtendedKeyUsage` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `FreshestCRL` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `InhibitAnyPolicy` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `InstructionCode` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `InvalidityDate` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `IssuerAlternativeName` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `IssuingDistributionPoint` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `KeyUsage` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `LogoType` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `NameConstraints` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `NoRevAvail` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `PolicyConstraints` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `PolicyMappings` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `PrivateKeyUsagePeriod` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `QCStatements` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `ReasonCode` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `SubjectAlternativeName` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `SubjectDirectoryAttributes` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `SubjectInfoAccess` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `SubjectKeyIdentifier` Deprecated. use X509Extension value.
`static ASN1ObjectIdentifier` | `TargetInformation` Deprecated. use X509Extension value.

Constructor Summary
`X509Extensions(ASN1Sequence seq)` Deprecated. Constructor from ASN1Sequence.
`X509Extensions(java.util.Hashtable extensions)` Deprecated. constructor from a table of extensions.
`X509Extensions(java.util.Vector ordering, java.util.Hashtable extensions)` Deprecated. use Extensions
`X509Extensions(java.util.Vector objectIDs, java.util.Vector values)` Deprecated. use Extensions

Method Summary
`boolean` | `equivalent(X509Extensions other)` Deprecated.
`ASN1ObjectIdentifier[]` | `getCriticalExtensionOIDs()` Deprecated.
`X509Extension` | `getExtension(ASN1ObjectIdentifier oid)` Deprecated. return the extension represented by the object identifier passed in.
`ASN1ObjectIdentifier[]` | `getExtensionOIDs()` Deprecated.
`static X509Extensions` | `getInstance(ASN1TaggedObject obj, boolean explicit)` Deprecated.
`static X509Extensions` | `getInstance(java.lang.Object obj)` Deprecated.
`ASN1ObjectIdentifier[]` | `getNonCriticalExtensionOIDs()` Deprecated.
`java.util.Enumeration` | `oids()` Deprecated. return an Enumeration of the extension field's object ids.
`ASN1Primitive` | `toASN1Primitive()` Deprecated. Extensions ::= SEQUENCE SIZE (1..MAX) OF Extension Extension ::= SEQUENCE { extnId EXTENSION.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SubjectDirectoryAttributes

    public static final ASN1ObjectIdentifier SubjectDirectoryAttributes

  Deprecated. use X509Extension value.

  Subject Directory Attributes

### SubjectKeyIdentifier

    public static final ASN1ObjectIdentifier SubjectKeyIdentifier

  Deprecated. use X509Extension value.

  Subject Key Identifier

### KeyUsage

    public static final ASN1ObjectIdentifier KeyUsage

  Deprecated. use X509Extension value.

  Key Usage

### PrivateKeyUsagePeriod

    public static final ASN1ObjectIdentifier PrivateKeyUsagePeriod

  Deprecated. use X509Extension value.

  Private Key Usage Period

### SubjectAlternativeName

    public static final ASN1ObjectIdentifier SubjectAlternativeName

  Deprecated. use X509Extension value.

  Subject Alternative Name

### IssuerAlternativeName

    public static final ASN1ObjectIdentifier IssuerAlternativeName

  Deprecated. use X509Extension value.

  Issuer Alternative Name

### BasicConstraints

    public static final ASN1ObjectIdentifier BasicConstraints

  Deprecated. use X509Extension value.

  Basic Constraints

### CRLNumber

    public static final ASN1ObjectIdentifier CRLNumber

  Deprecated. use X509Extension value.

  CRL Number

### ReasonCode

    public static final ASN1ObjectIdentifier ReasonCode

  Deprecated. use X509Extension value.

  Reason code

### InstructionCode

    public static final ASN1ObjectIdentifier InstructionCode

  Deprecated. use X509Extension value.

  Hold Instruction Code

### InvalidityDate

    public static final ASN1ObjectIdentifier InvalidityDate

  Deprecated. use X509Extension value.

  Invalidity Date

### DeltaCRLIndicator

    public static final ASN1ObjectIdentifier DeltaCRLIndicator

  Deprecated. use X509Extension value.

  Delta CRL indicator

### IssuingDistributionPoint

    public static final ASN1ObjectIdentifier IssuingDistributionPoint

  Deprecated. use X509Extension value.

  Issuing Distribution Point

### CertificateIssuer

    public static final ASN1ObjectIdentifier CertificateIssuer

  Deprecated. use X509Extension value.

  Certificate Issuer

### NameConstraints

    public static final ASN1ObjectIdentifier NameConstraints

  Deprecated. use X509Extension value.

  Name Constraints

### CRLDistributionPoints

    public static final ASN1ObjectIdentifier CRLDistributionPoints

  Deprecated. use X509Extension value.

  CRL Distribution Points

### CertificatePolicies

    public static final ASN1ObjectIdentifier CertificatePolicies

  Deprecated. use X509Extension value.

  Certificate Policies

### PolicyMappings

    public static final ASN1ObjectIdentifier PolicyMappings

  Deprecated. use X509Extension value.

  Policy Mappings

### AuthorityKeyIdentifier

    public static final ASN1ObjectIdentifier AuthorityKeyIdentifier

  Deprecated. use X509Extension value.

  Authority Key Identifier

### PolicyConstraints

    public static final ASN1ObjectIdentifier PolicyConstraints

  Deprecated. use X509Extension value.

  Policy Constraints

### ExtendedKeyUsage

    public static final ASN1ObjectIdentifier ExtendedKeyUsage

  Deprecated. use X509Extension value.

  Extended Key Usage

### FreshestCRL

    public static final ASN1ObjectIdentifier FreshestCRL

  Deprecated. use X509Extension value.

  Freshest CRL

### InhibitAnyPolicy

    public static final ASN1ObjectIdentifier InhibitAnyPolicy

  Deprecated. use X509Extension value.

  Inhibit Any Policy

### AuthorityInfoAccess

    public static final ASN1ObjectIdentifier AuthorityInfoAccess

  Deprecated. use X509Extension value.

  Authority Info Access

### SubjectInfoAccess

    public static final ASN1ObjectIdentifier SubjectInfoAccess

  Deprecated. use X509Extension value.

  Subject Info Access

### LogoType

    public static final ASN1ObjectIdentifier LogoType

  Deprecated. use X509Extension value.

  Logo Type

### BiometricInfo

    public static final ASN1ObjectIdentifier BiometricInfo

  Deprecated. use X509Extension value.

  BiometricInfo

### QCStatements

    public static final ASN1ObjectIdentifier QCStatements

  Deprecated. use X509Extension value.

  QCStatements

### AuditIdentity

    public static final ASN1ObjectIdentifier AuditIdentity

  Deprecated. use X509Extension value.

  Audit identity extension in attribute certificates.

### NoRevAvail

    public static final ASN1ObjectIdentifier NoRevAvail

  Deprecated. use X509Extension value.

  NoRevAvail extension in attribute certificates.

### TargetInformation

    public static final ASN1ObjectIdentifier TargetInformation

  Deprecated. use X509Extension value.

  TargetInformation extension in attribute certificates.

Constructor Detail

### X509Extensions

    public X509Extensions(ASN1Sequence seq)

  Deprecated.
  Constructor from ASN1Sequence. the extensions are a list of constructed sequences, either with (OID, OctetString) or (OID, Boolean, OctetString)

### X509Extensions

    public X509Extensions(java.util.Hashtable extensions)

  Deprecated.
  constructor from a table of extensions.

  it's is assumed the table contains OID/String pairs.

### X509Extensions

    public X509Extensions(java.util.Vector ordering,
                          java.util.Hashtable extensions)

  Deprecated. use Extensions

  Constructor from a table of extensions with ordering.

  It's is assumed the table contains OID/String pairs.

### X509Extensions

    public X509Extensions(java.util.Vector objectIDs,
                          java.util.Vector values)

  Deprecated. use Extensions

  Constructor from two vectors

Parameters:
  `objectIDs` - a vector of the object identifiers.
  `values` - a vector of the extension values.

Method Detail

### getInstance

    public static X509Extensions getInstance(ASN1TaggedObject obj,
                                             boolean explicit)

  Deprecated.

### getInstance

    public static X509Extensions getInstance(java.lang.Object obj)

  Deprecated.

### oids

    public java.util.Enumeration oids()

  Deprecated.
  return an Enumeration of the extension field's object ids.

### getExtension

    public X509Extension getExtension(ASN1ObjectIdentifier oid)

  Deprecated.
  return the extension represented by the object identifier passed in.

  Returns:
    the extension if it's present, null otherwise.

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Deprecated.
  Extensions ::= SEQUENCE SIZE (1..MAX) OF Extension Extension ::= SEQUENCE { extnId EXTENSION.&id ({ExtensionSet}), critical BOOLEAN DEFAULT FALSE, extnValue OCTET STRING }

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### equivalent

    public boolean equivalent(X509Extensions other)

  Deprecated.

### getExtensionOIDs

    public ASN1ObjectIdentifier[] getExtensionOIDs()

  Deprecated.

### getNonCriticalExtensionOIDs

    public ASN1ObjectIdentifier[] getNonCriticalExtensionOIDs()

  Deprecated.

### getCriticalExtensionOIDs

    public ASN1ObjectIdentifier[] getCriticalExtensionOIDs()

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD